<div class="container">

<h3>Users</h3>

<table class="table table-striped">
  <thead>
    <tr>
      <th>Edit</th>
      <th>First Name</th>
      <th>Last Name</th>
      <th>City</th>
      <th>Address</th>
      <th>Phone</th>
      <th>Password</th>

    </tr>
  </thead>
  <tbody>
    <tr ng-repeat="user in users">
      <td>
        <button class="btn" ng-click="editUser(user.id)">
          <span class="glyphicon glyphicon-pencil"></span>  Edit
        </button>
      </td>
      <td>{{ user.fName }}</td>
      <td>{{ user.lName }}</td>
      <td>{{ user.city }}</td>
      <td>{{ user.address }}</td>
      <td>{{ user.phone }}</td>
      <td>{{ user.password }}</td>
      
    </tr>
  </tbody>
</table>

<hr>
<button  class="btn btn-success" ng-click="editUser('new')">
<span class="glyphicon glyphicon-user"></span>  Create New User
</button>
<hr>

<h3 ng-show="edit">Create New User:</h3>
<h3 ng-hide="edit">Edit User:</h3>

<form class="form-horizontal">
  <div class="form-group">
    <label class="col-sm-2 control-label">First Name:</label>
    <div class="col-sm-10">
    <input type="text" ng-model="fName" ng-disabled="!edit" placeholder="First Name">
    </div>
  </div> 
  <div class="form-group">
    <label class="col-sm-2 control-label">Last Name:</label>
    <div class="col-sm-10">
    <input type="text" ng-model="lName" ng-disabled="!edit" placeholder="Last Name">
    </div>
  </div>
  <div class="form-group">
    <label class="col-sm-2 control-label">City:</label>
    <div class="col-sm-10">
    <input type="text" ng-model="city" ng-disabled="!edit" placeholder="City">
    </div>
  </div>
  <div class="form-group">
    <label class="col-sm-2 control-label">Address:</label>
    <div class="col-sm-10">
    <input type="text" ng-model="address" ng-disabled="!edit" placeholder="Address">
    </div>
  </div>
  <div class="form-group">
    <label class="col-sm-2 control-label">Phone:</label>
    <div class="col-sm-10">
    <input type="text" ng-model="phone" ng-disabled="!edit" placeholder="Phone">
    </div>
  </div>
  <div class="form-group">
    <label class="col-sm-2 control-label">Password:</label>
    <div class="col-sm-10">
    <input type="password" ng-model="passw1" placeholder="Password">
    </div>
  </div>
  <div class="form-group">
    <label class="col-sm-2 control-label">Repeat:</label>
    <div class="col-sm-10">
    <input type="password" ng-model="passw2" placeholder="Repeat Password">
    </div>
  </div>
</form>

<hr>
<button ng-click="addUser()" class="btn btn-success" ng-disabled="error || incomplete">
<span class="glyphicon glyphicon-save"></span>  Save Changes
</button>

</div>
